/*
* \file EnumAsString.cpp:
* \brief: output string associated with enum
*/

#include "../shared/shared.h"
#include "../include/macros.h"
#include "./EnumDefinition.h"

char* EnumAsString(int en){

	switch(en){

		case DatasetsEnum :
			return "Datasets";
		case ElementsEnum :
			return "Elements";
		case NodesEnum :
			return "Nodes";
		case ConstraintsEnum :
			return "Constraints";
		case LoadsEnum :
			return "Loads";
		case MaterialsEnum :
			return "Materials";
		case ParametersEnum :
			return "Parameters";
		case ResultsEnum :
			return "Results";
		case VerticesEnum :
			return "Vertices";
		case AnalysisEnum :
			return "Analysis";
		case AnalysisTypeEnum :
			return "AnalysisType";
		case SubAnalysisTypeEnum :
			return "SubAnalysisType";
		case DiagnosticAnalysisEnum :
			return "DiagnosticAnalysis";
		case HorizAnalysisEnum :
			return "HorizAnalysis";
		case StokesAnalysisEnum :
			return "StokesAnalysis";
		case HutterAnalysisEnum :
			return "HutterAnalysis";
		case VertAnalysisEnum :
			return "VertAnalysis";
		case ControlAnalysisEnum :
			return "ControlAnalysis";
		case AdjointAnalysisEnum :
			return "AdjointAnalysis";
		case InverseAnalysisEnum :
			return "InverseAnalysis";
		case GradientAnalysisEnum :
			return "GradientAnalysis";
		case ThermalAnalysisEnum :
			return "ThermalAnalysis";
		case TransientAnalysisEnum :
			return "TransientAnalysis";
		case SteadyAnalysisEnum :
			return "SteadyAnalysis";
		case SlopecomputeAnalysisEnum :
			return "SlopecomputeAnalysis";
		case SurfaceXAnalysisEnum :
			return "SurfaceXAnalysis";
		case SurfaceYAnalysisEnum :
			return "SurfaceYAnalysis";
		case BedXAnalysisEnum :
			return "BedXAnalysis";
		case BedYAnalysisEnum :
			return "BedYAnalysis";
		case PrognosticAnalysisEnum :
			return "PrognosticAnalysis";
		case Prognostic2AnalysisEnum :
			return "Prognostic2Analysis";
		case BalancedthicknessAnalysisEnum :
			return "BalancedthicknessAnalysis";
		case Balancedthickness2AnalysisEnum :
			return "Balancedthickness2Analysis";
		case BalancedvelocitiesAnalysisEnum :
			return "BalancedvelocitiesAnalysis";
		case MeltingAnalysisEnum :
			return "MeltingAnalysis";
		case Mesh2gridAnalysisEnum :
			return "Mesh2gridAnalysis";
		case ParametersAnalysisEnum :
			return "ParametersAnalysis";
		case SteadystateAnalysisEnum :
			return "SteadystateAnalysis";
		case NoneAnalysisEnum :
			return "NoneAnalysis";
		case FormulationEnum :
			return "Formulation";
		case NoneFormulationEnum :
			return "NoneFormulation";
		case HutterFormulationEnum :
			return "HutterFormulation";
		case MacAyealFormulationEnum :
			return "MacAyealFormulation";
		case PattynFormulationEnum :
			return "PattynFormulation";
		case StokesFormulationEnum :
			return "StokesFormulation";
		case ObjectEnum :
			return "Object";
		case HookEnum :
			return "Hook";
		case ElementEnum :
			return "Element";
		case TriaEnum :
			return "Tria";
		case ElementPropertiesEnum :
			return "ElementProperties";
		case NodePropertiesEnum :
			return "NodeProperties";
		case PentaEnum :
			return "Penta";
		case BeamEnum :
			return "Beam";
		case SingEnum :
			return "Sing";
		case DofIndexingEnum :
			return "DofIndexing";
		case NodeEnum :
			return "Node";
		case VertexEnum :
			return "Vertex";
		case LoadEnum :
			return "Load";
		case IcefrontEnum :
			return "Icefront";
		case SegmentIcefrontEnum :
			return "SegmentIcefront";
		case QuadIceFrontEnum :
			return "QuadIceFront";
		case RiftfrontEnum :
			return "Riftfront";
		case SegmentRiftfrontEnum :
			return "SegmentRiftfront";
		case QuadRiftFrontEnum :
			return "QuadRiftFront";
		case PenpairEnum :
			return "Penpair";
		case PengridEnum :
			return "Pengrid";
		case NumericalfluxEnum :
			return "Numericalflux";
		case MaterialEnum :
			return "Material";
		case MaticeEnum :
			return "Matice";
		case MatparEnum :
			return "Matpar";
		case InputEnum :
			return "Input";
		case TriaVertexInputEnum :
			return "TriaVertexInput";
		case SingVertexInputEnum :
			return "SingVertexInput";
		case BeamVertexInputEnum :
			return "BeamVertexInput";
		case PentaVertexInputEnum :
			return "PentaVertexInput";
		case BoolInputEnum :
			return "BoolInput";
		case IntInputEnum :
			return "IntInput";
		case DoubleInputEnum :
			return "DoubleInput";
		case ParamEnum :
			return "Param";
		case BoolParamEnum :
			return "BoolParam";
		case IntParamEnum :
			return "IntParam";
		case DoubleParamEnum :
			return "DoubleParam";
		case PetscMatParamEnum :
			return "PetscMatParam";
		case PetscVecParamEnum :
			return "PetscVecParam";
		case DoubleMatParamEnum :
			return "DoubleMatParam";
		case DoubleVecParamEnum :
			return "DoubleVecParam";
		case StringParamEnum :
			return "StringParam";
		case StringArrayParamEnum :
			return "StringArrayParam";
		case ResultEnum :
			return "Result";
		case RgbEnum :
			return "Rgb";
		case SpcEnum :
			return "Spc";
		case DofVecEnum :
			return "DofVec";
		case GeographyEnum :
			return "Geography";
		case IceSheetEnum :
			return "IceSheet";
		case IceShelfEnum :
			return "IceShelf";
		case WaterEnum :
			return "Water";
		case IceEnum :
			return "Ice";
		case AirEnum :
			return "Air";
		case MelangeEnum :
			return "Melange";
		case VxEnum :
			return "Vx";
		case VyEnum :
			return "Vy";
		case VzEnum :
			return "Vz";
		case VxAverageEnum :
			return "VxAverage";
		case VyAverageEnum :
			return "VyAverage";
		case VzAverageEnum :
			return "VzAverage";
		case VxObsEnum :
			return "VxObs";
		case VyObsEnum :
			return "VyObs";
		case VzObsEnum :
			return "VzObs";
		case VxOldEnum :
			return "VxOld";
		case VyOldEnum :
			return "VyOld";
		case VzOldEnum :
			return "VzOld";
		case DhDtEnum :
			return "DhDt";
		case ThicknessEnum :
			return "Thickness";
		case SurfaceEnum :
			return "Surface";
		case BedEnum :
			return "Bed";
		case DragCoefficientEnum :
			return "DragCoefficient";
		case DragPEnum :
			return "DragP";
		case DragQEnum :
			return "DragQ";
		case DragTypeEnum :
			return "DragType";
		case RheologyBEnum :
			return "RheologyB";
		case RheologyNEnum :
			return "RheologyN";
		case MeltingRateEnum :
			return "MeltingRate";
		case AccumulationRateEnum :
			return "AccumulationRate";
		case GeothermalFluxEnum :
			return "GeothermalFlux";
		case ElementOnIceShelfEnum :
			return "ElementOnIceShelf";
		case ElementOnBedEnum :
			return "ElementOnBed";
		case ElementOnWaterEnum :
			return "ElementOnWater";
		case ElementOnSurfaceEnum :
			return "ElementOnSurface";
		case SurfaceAreaEnum :
			return "SurfaceArea";
		case SurfaceSlopexEnum :
			return "SurfaceSlopex";
		case SurfaceSlopeyEnum :
			return "SurfaceSlopey";
		case BedSlopexEnum :
			return "BedSlopex";
		case BedSlopeyEnum :
			return "BedSlopey";
		case WeightsEnum :
			return "Weights";
		case FitEnum :
			return "Fit";
		case AdjointxEnum :
			return "Adjointx";
		case AdjointyEnum :
			return "Adjointy";
		case AdjointzEnum :
			return "Adjointz";
		case CollapseEnum :
			return "Collapse";
		case TemperatureEnum :
			return "Temperature";
		case PressureEnum :
			return "Pressure";
		case NodeOnBedEnum :
			return "NodeOnBed";
		case NodeOnSurfaceEnum :
			return "NodeOnSurface";
		case NodeOnIceShelfEnum :
			return "NodeOnIceShelf";
		case NodeOnIceSheetEnum :
			return "NodeOnIceSheet";
		case ResetPenaltiesEnum :
			return "ResetPenalties";
		case MeltingOffsetEnum :
			return "MeltingOffset";
		case TypeEnum :
			return "Type";
		case FrictionEnum :
			return "Friction";
		case FractionIncrementEnum :
			return "FractionIncrement";
		case ConvergedEnum :
			return "Converged";
		case SegmentOnIceShelfEnum :
			return "SegmentOnIceShelf";
		case FillEnum :
			return "Fill";
		case InternalEnum :
			return "Internal";
		case MaxPenetrationEnum :
			return "MaxPenetration";
		case BoundaryEnum :
			return "Boundary";
		case DtEnum :
			return "Dt";
		case ArtDiffEnum :
			return "ArtDiff";
		case CmNoiseDmpEnum :
			return "CmNoiseDmp";
		case CmMinDmpValueEnum :
			return "CmMinDmpValue";
		case CmMaxDmpValueEnum :
			return "CmMaxDmpValue";
		case CmMinDmpSlopeEnum :
			return "CmMinDmpSlope";
		case CmMaxDmpSlopeEnum :
			return "CmMaxDmpSlope";
		case ControlTypeEnum :
			return "ControlType";
		case ViscosityOvershootEnum :
			return "ViscosityOvershoot";
		case MeanVelEnum :
			return "MeanVel";
		case EpsVelEnum :
			return "EpsVel";
		case StokesReconditioningEnum :
			return "StokesReconditioning";
		case StabilizeConstraintsEnum :
			return "StabilizeConstraints";
		default :
			ISSMERROR("Enum %i not found",en);
	}
}
